Package uk.ac.starlink.table.join

## Class RowLink2

- java.lang.Object
- - uk.ac.starlink.table.join.RowLink
  - - uk.ac.starlink.table.join.RowLink2

- All Implemented Interfaces:
    `java.lang.Comparable<RowLink>`

      public class RowLink2
      extends RowLink

  RowLink subclass which specifically contains two items (a pair).

  As well as standard `RowLink` functionality, this object can also contain a 'score', which is an uninterpreted number. Typically this is used to record how good the match represented by a link is. This value is not taken account of in either `compareTo`, `equals` or `hashCode` methods.

  Since:
    23 Nov 2007
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowLink2​(RowRef rowA, RowRef rowB)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getScore()` | Returns the score associated with this link.
    `void` | `setScore​(double score)` | Sets the score associated with this link.

    - ### Methods inherited from class uk.ac.starlink.table.join.RowLink

      `compareTo, equals, getRef, hashCode, size, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowLink2

          public RowLink2​(RowRef rowA,
                          RowRef rowB)

      Constructor.
      Parameters:
        `rowA` - one row
        `rowB` - the other row

  - ### Method Detail

    - #### setScore

          public void setScore​(double score)

      Sets the score associated with this link.
      Parameters:
        `score` - new score

    - #### getScore

          public double getScore()

      Returns the score associated with this link. If it has not been set explicitly, it will be `NaN`.
      Returns:
        score